Public Member Functions

# GDALDefaultAsyncReader Class Reference

Inheritance diagram for GDALDefaultAsyncReader:

List of all members.

## Public Member Functions
| GDALDefaultAsyncReader (GDALDataset *poDS, int nXOff, int nYOff, int nXSize, int nYSize, void *pBuf, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nBandCount, int *panBandMap, int nPixelSpace, int nLineSpace, int nBandSpace, char **papszOptions)
virtual GDALAsyncStatusType | GetNextUpdatedRegion (double dfTimeout, int *pnBufXOff, int *pnBufYOff, int *pnBufXSize, int *pnBufYSize)
| Get async IO update.

## Member Function Documentation

GDALAsyncStatusType GDALDefaultAsyncReader::GetNextUpdatedRegion | ( | double | dfTimeout,
|  | int * | pnBufXOff,
|  | int * | pnBufYOff,
|  | int * | pnBufXSize,
|  | int * | pnBufXSize |
| ) |  |  | `[virtual]`

Get async IO update.

Provide an opportunity for an asynchronous IO request to update the image buffer and return an indication of the area of the buffer that has been updated.

The dfTimeout parameter can be used to wait for additional data to become available. The timeout does not limit the amount of time this method may spend actually processing available data.

The following return status are possible.

- GARIO_PENDING: No imagery was altered in the buffer, but there is still activity pending, and the application should continue to call GetNextUpdatedRegion() as time permits.
- GARIO_UPDATE: Some of the imagery has been updated, but there is still activity pending.
- GARIO_ERROR: Something has gone wrong. The asynchronous request should be ended.
- GARIO_COMPLETE: An update has occured and there is no more pending work on this request. The request should be ended and the buffer used.

Parameters:

  | dfTimeout | the number of seconds to wait for additional updates. Use -1 to wait indefinately, or zero to not wait at all if there is no data available.
  | pnBufXOff | location to return the X offset of the area of the request buffer that has been updated.
  | pnBufYOff | location to return the Y offset of the area of the request buffer that has been updated.
  | pnBufXSize | location to return the X size of the area of the request buffer that has been updated.
  | pnBufYSize | location to return the Y size of the area of the request buffer that has been updated.

Returns:
  GARIO_ status, details described above.

Implements GDALAsyncReader.

References GF_Read, and GDALDataset::RasterIO().

The documentation for this class was generated from the following file:

- gdaldefaultasync.cpp

Generated for GDAL by 1.7.1.